using System;

namespace JohnsonUtils.Attributes
{
    [Serializable]
    public struct RangedFloat
    {
        public float MinValue;
        public float MaxValue;

        public RangedFloat(float minValue, float maxValue)
        {
            MinValue = minValue;
            MaxValue = maxValue;
        }

        public float RandomValueInRange()
        {
            return UnityEngine.Random.Range(MinValue, MaxValue);
        }
    }
}